> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/payout/integration-guides/api-reference/initiate-a-payout-request/check-status-of-payout.md).

# Check Status of Payout

This API is used to inquire about the current status of the requested payout based on the payout id.

## **Endpoint**

| Environment | Method                                      | URL                                                                                                                              |
| ----------- | ------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| Sandbox     | <mark style="color:green;">**`GET`**</mark> | [https://payout.codapayments-staging.com/payouts/\<payout\_id>](https://payout.codapayments-staging.com/payouts/%3Cpayout_id%3E) |
| Production  | <mark style="color:green;">**`GET`**</mark> | [https://payout.codapayments.com/payouts/\<payout\_id>](https://payout.codapayments.com/payouts/%3Cpayout_id%3E)                 |

## **Request parameters**

| Parameter  | Type   | Required | Description                                | Validation |
| ---------- | ------ | -------- | ------------------------------------------ | ---------- |
| payout\_id | string | Yes      | A unique ID of the payout, created by Coda | -          |

## **Response parameters**

| Parameter       | Description                                                                                                                                                                                                         |
| --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| payout\_id      | A unique ID of the payout, created by Coda                                                                                                                                                                          |
| request\_id     | A unique request ID that is attached to the payout request, created by Merchant                                                                                                                                     |
| request\_amount | Total requested payout amount                                                                                                                                                                                       |
| target\_amount  | <p>Total final amount paid out to beneficiary (after deducting fees, gst, various taxes depending on Merchant contract with Coda)</p><p>Note: request\_amount and target\_amount can be in different currencies</p> |
| payout\_status  | The status of the payout. Refer to the table below for the different statuses.                                                                                                                                      |
| error           | This will show the error message if there is an error.                                                                                                                                                              |

## **Payout Statuses**

| Payout Status | Description                                                                                                                                                                                                       |
| ------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Initiated     | Payout request has been received and will be reviewed.                                                                                                                                                            |
| Rejected      | Payout request has been rejected by Coda, refer to the error message for more details. This status is the final status.                                                                                           |
| Processing    | <p>Payout request is being processed.<br>This status is the in progress status.</p>                                                                                                                               |
| Success       | <p>Payout is successful.<br>This status is the final status.</p>                                                                                                                                                  |
| Failed        | <p>Payout has failed, refer to the error message for more details.<br>This status is the final status.</p><p><br></p><p>For information on transaction fees for Failed status, please contact Coda Payments. </p> |

## Request and response samples

### Check Status Request

```javascript
curl --location 'https://payout.codapayments.com/payouts/<payout_id>' \
--header 'X-API-Key: [Test_API_Key]' \
--header 'Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJwYXJ0bmVyX2lkIjoicGFyX3NnMTg3MzI2ZjA4ZjB3cmtyMTA2IiwiaWF0IjoxNjgzMTA0MTc3fQ.JLm21T7EE-papCtiAvDeU1SftBlDuwvI4VtAf2WcOKY'
```

### Check Status Response

{% tabs %}
{% tab title="Success" %}

```javascript
{
    "payout_id": "MDAwLjAuMTY4MDAxMjM3MC4xMw==",
    "request_id": "request_id",
    "request_amount": {
        "value": 10.0,
        "currency_code": "USD"
    },
    "target_amount": {
        "value": 10.0,
        "currency_code": "PHP"
    },
    "payout_status": {
        "code": "Success",
        "message": "Payout is successful"
    },
    "error": null
}
```

{% endtab %}

{% tab title="Failed" %}

```javascript
{
    "payout_id": "e0929c27-a229-4d83-b2a1-ab227157dc23",
    "request_id": "koongpayout79_request11_id_4July2023BBB",
    "request_amount": {
        "value": 5555.00,
        "currency_code": "EGP"
    },
    "target_amount": {
        "value": 5555.00,
        "currency_code": "EGP"
    },
    "payout_status": {
        "code": "Failed",
        "message": "Payout has failed, refer to the error message for more details."
    },
    "error": {
      "code": "INCOMPLETE_DATA",
        "message": "Data sent are incomplete and the request cannot be completed."
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coda.co/payout/integration-guides/api-reference/initiate-a-payout-request/check-status-of-payout.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
